<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateCierre extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('cierre')
			->addColumn('proyecto', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('precio', 'double', ['null' => false])
			->addColumn('fecha', 'date', ['null' => false])
			->addColumn('relacionado', 'integer', ['length' => 1, 'default' => 0])
			->addColumn('propietario', 'integer', ['length' => 10, 'default' => 0, 'signed' => false])
			->addForeignKey('proyecto', 'proyecto', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
